# Content API for Shopping

This API is deprecated. Please use Merchant API instead: <https://developers.google.com/merchant/api>.

- [v2.1.accounts](https://developers.google.com/shopping-content/reference/rest/v2.1#v2.1.accounts)
- [v2.1.accounts.credentials](https://developers.google.com/shopping-content/reference/rest/v2.1#v2.1.accounts.credentials)
- [v2.1.accounts.labels](https://developers.google.com/shopping-content/reference/rest/v2.1#v2.1.accounts.labels)
- [v2.1.accounts.returncarrier](https://developers.google.com/shopping-content/reference/rest/v2.1#v2.1.accounts.returncarrier)
- [v2.1.accountstatuses](https://developers.google.com/shopping-content/reference/rest/v2.1#v2.1.accountstatuses)
- [v2.1.accounttax](https://developers.google.com/shopping-content/reference/rest/v2.1#v2.1.accounttax)
- [v2.1.collections](https://developers.google.com/shopping-content/reference/rest/v2.1#v2.1.collections)
- [v2.1.collectionstatuses](https://developers.google.com/shopping-content/reference/rest/v2.1#v2.1.collectionstatuses)
- [v2.1.conversionsources](https://developers.google.com/shopping-content/reference/rest/v2.1#v2.1.conversionsources)
- [v2.1.csses](https://developers.google.com/shopping-content/reference/rest/v2.1#v2.1.csses)
- [v2.1.datafeeds](https://developers.google.com/shopping-content/reference/rest/v2.1#v2.1.datafeeds)
- [v2.1.datafeedstatuses](https://developers.google.com/shopping-content/reference/rest/v2.1#v2.1.datafeedstatuses)
- [v2.1.freelistingsprogram](https://developers.google.com/shopping-content/reference/rest/v2.1#v2.1.freelistingsprogram)
- [v2.1.freelistingsprogram.checkoutsettings](https://developers.google.com/shopping-content/reference/rest/v2.1#v2.1.freelistingsprogram.checkoutsettings)
- [v2.1.liasettings](https://developers.google.com/shopping-content/reference/rest/v2.1#v2.1.liasettings)
- [v2.1.localinventory](https://developers.google.com/shopping-content/reference/rest/v2.1#v2.1.localinventory)
- [v2.1.merchantsupport](https://developers.google.com/shopping-content/reference/rest/v2.1#v2.1.merchantsupport)
- [v2.1.ordertrackingsignals](https://developers.google.com/shopping-content/reference/rest/v2.1#v2.1.ordertrackingsignals)
- [v2.1.pos](https://developers.google.com/shopping-content/reference/rest/v2.1#v2.1.pos)
- [v2.1.productdeliverytime](https://developers.google.com/shopping-content/reference/rest/v2.1#v2.1.productdeliverytime)
- [v2.1.products](https://developers.google.com/shopping-content/reference/rest/v2.1#v2.1.products)
- [v2.1.productstatuses](https://developers.google.com/shopping-content/reference/rest/v2.1#v2.1.productstatuses)
- [v2.1.promotions](https://developers.google.com/shopping-content/reference/rest/v2.1#v2.1.promotions)
- [v2.1.pubsubnotificationsettings](https://developers.google.com/shopping-content/reference/rest/v2.1#v2.1.pubsubnotificationsettings)
- [v2.1.quotas](https://developers.google.com/shopping-content/reference/rest/v2.1#v2.1.quotas)
- [v2.1.recommendations](https://developers.google.com/shopping-content/reference/rest/v2.1#v2.1.recommendations)
- [v2.1.regionalinventory](https://developers.google.com/shopping-content/reference/rest/v2.1#v2.1.regionalinventory)
- [v2.1.regions](https://developers.google.com/shopping-content/reference/rest/v2.1#v2.1.regions)
- [v2.1.reports](https://developers.google.com/shopping-content/reference/rest/v2.1#v2.1.reports)
- [v2.1.returnpolicyonline](https://developers.google.com/shopping-content/reference/rest/v2.1#v2.1.returnpolicyonline)
- [v2.1.shippingsettings](https://developers.google.com/shopping-content/reference/rest/v2.1#v2.1.shippingsettings)
- [v2.1.shoppingadsprogram](https://developers.google.com/shopping-content/reference/rest/v2.1#v2.1.shoppingadsprogram)

## Service: shoppingcontent.googleapis.com

To call this service, we recommend that you use the Google-provided [client libraries](https://cloud.google.com/apis/docs/client-libraries-explained). If your application needs to use your own libraries to call this service, use the following information when you make the API requests.

### Discovery document

A [Discovery Document](https://developers.google.com/discovery/v1/reference/apis) is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery document:

- <https://shoppingcontent.googleapis.com/$discovery/rest?version=v2.1>

### Service endpoint

A [service endpoint](https://cloud.google.com/apis/design/glossary#api_service_endpoint) is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

- `https://shoppingcontent.googleapis.com`

## [v2.1.accounts](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts)

| Methods ||
|---|---|
| `https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/authinfo` | `GET /content/v2.1/accounts/authinfo` Returns information about the authenticated user. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/claimwebsite` | `POST /content/v2.1/{merchantId}/accounts/{accountId}/claimwebsite` Claims the website of a Merchant Center sub-account. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/custombatch` | `POST /content/v2.1/accounts/batch` Retrieves, inserts, updates, and deletes multiple Merchant Center (sub-)accounts in a single request. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/delete` | `DELETE /content/v2.1/{merchantId}/accounts/{accountId}` Deletes a Merchant Center sub-account. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/get` | `GET /content/v2.1/{merchantId}/accounts/{accountId}` Retrieves a Merchant Center account. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/insert` | `POST /content/v2.1/{merchantId}/accounts` Creates a Merchant Center sub-account. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/link` | `POST /content/v2.1/{merchantId}/accounts/{accountId}/link` Performs an action on a link between two Merchant Center accounts, namely [accountId](https://developers.google.com/shopping-content/reference/rest/v2.1#accountId) and [linkedAccountId](https://developers.google.com/shopping-content/reference/rest/v2.1#linkedAccountId). |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/list` | `GET /content/v2.1/{merchantId}/accounts` Lists the sub-accounts in your Merchant Center account. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/listlinks` | `GET /content/v2.1/{merchantId}/accounts/{accountId}/listlinks` Returns the list of accounts linked to your Merchant Center account. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/requestphoneverification` | `POST /content/v2.1/{merchantId}/accounts/{accountId}/requestphoneverification` Request verification code to start phone verification. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/update` | `PUT /content/v2.1/{merchantId}/accounts/{accountId}` Updates a Merchant Center account. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/updatelabels` | `POST /content/v2.1/{merchantId}/accounts/{accountId}/updatelabels` Updates labels that are assigned to the Merchant Center account by CSS user. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/verifyphonenumber` | `POST /content/v2.1/{merchantId}/accounts/{accountId}/verifyphonenumber` Validates verification code to verify phone number for the account. |

## [v2.1.accounts.credentials](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts.credentials)

| Methods ||
|---|---|
| `https://developers.google.com/shopping-content/reference/rest/v2.1/accounts.credentials/create` | `POST /content/v2.1/accounts/{accountId}/credentials` Uploads credentials for the Merchant Center account. |

## [v2.1.accounts.labels](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts.labels)

| Methods ||
|---|---|
| `https://developers.google.com/shopping-content/reference/rest/v2.1/accounts.labels/create` | `POST /content/v2.1/accounts/{accountId}/labels` Creates a new label, not assigned to any account. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/accounts.labels/delete` | `DELETE /content/v2.1/accounts/{accountId}/labels/{labelId}` Deletes a label and removes it from all accounts to which it was assigned. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/accounts.labels/list` | `GET /content/v2.1/accounts/{accountId}/labels` Lists the labels assigned to an account. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/accounts.labels/patch` | `PATCH /content/v2.1/accounts/{accountId}/labels/{labelId}` Updates a label. |

## [v2.1.accounts.returncarrier](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts.returncarrier)

| Methods ||
|---|---|
| `https://developers.google.com/shopping-content/reference/rest/v2.1/accounts.returncarrier/create` | `POST /content/v2.1/accounts/{accountId}/returncarrier` Links return carrier to a merchant account. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/accounts.returncarrier/delete` | `DELETE /content/v2.1/accounts/{accountId}/returncarrier/{carrierAccountId}` Delete a return carrier in the merchant account. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/accounts.returncarrier/list` | `GET /content/v2.1/accounts/{accountId}/returncarrier` Lists available return carriers in the merchant account. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/accounts.returncarrier/patch` | `PATCH /content/v2.1/accounts/{accountId}/returncarrier/{carrierAccountId}` Updates a return carrier in the merchant account. |

## [v2.1.accountstatuses](https://developers.google.com/shopping-content/reference/rest/v2.1/accountstatuses)

| Methods ||
|---|---|
| `https://developers.google.com/shopping-content/reference/rest/v2.1/accountstatuses/custombatch` | `POST /content/v2.1/accountstatuses/batch` Retrieves multiple Merchant Center account statuses in a single request. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/accountstatuses/get` | `GET /content/v2.1/{merchantId}/accountstatuses/{accountId}` Retrieves the status of a Merchant Center account. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/accountstatuses/list` | `GET /content/v2.1/{merchantId}/accountstatuses` Lists the statuses of the sub-accounts in your Merchant Center account. |

## [v2.1.accounttax](https://developers.google.com/shopping-content/reference/rest/v2.1/accounttax)

| Methods ||
|---|---|
| `https://developers.google.com/shopping-content/reference/rest/v2.1/accounttax/custombatch` | `POST /content/v2.1/accounttax/batch` Retrieves and updates tax settings of multiple accounts in a single request. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/accounttax/get` | `GET /content/v2.1/{merchantId}/accounttax/{accountId}` Retrieves the tax settings of the account. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/accounttax/list` | `GET /content/v2.1/{merchantId}/accounttax` Lists the tax settings of the sub-accounts in your Merchant Center account. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/accounttax/update` | `PUT /content/v2.1/{merchantId}/accounttax/{accountId}` Updates the tax settings of the account. |

## [v2.1.collections](https://developers.google.com/shopping-content/reference/rest/v2.1/collections)

| Methods ||
|---|---|
| `https://developers.google.com/shopping-content/reference/rest/v2.1/collections/create` | `POST /content/v2.1/{merchantId}/collections` Uploads a collection to your Merchant Center account. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/collections/delete` | `DELETE /content/v2.1/{merchantId}/collections/{collectionId}` Deletes a collection from your Merchant Center account. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/collections/get` | `GET /content/v2.1/{merchantId}/collections/{collectionId}` Retrieves a collection from your Merchant Center account. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/collections/list` | `GET /content/v2.1/{merchantId}/collections` Lists the collections in your Merchant Center account. |

## [v2.1.collectionstatuses](https://developers.google.com/shopping-content/reference/rest/v2.1/collectionstatuses)

| Methods ||
|---|---|
| `https://developers.google.com/shopping-content/reference/rest/v2.1/collectionstatuses/get` | `GET /content/v2.1/{merchantId}/collectionstatuses/{collectionId}` Gets the status of a collection from your Merchant Center account. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/collectionstatuses/list` | `GET /content/v2.1/{merchantId}/collectionstatuses` Lists the statuses of the collections in your Merchant Center account. |

## [v2.1.conversionsources](https://developers.google.com/shopping-content/reference/rest/v2.1/conversionsources)

| Methods ||
|---|---|
| `https://developers.google.com/shopping-content/reference/rest/v2.1/conversionsources/create` | `POST /content/v2.1/{merchantId}/conversionsources` Creates a new conversion source. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/conversionsources/delete` | `DELETE /content/v2.1/{merchantId}/conversionsources/{conversionSourceId}` Archives an existing conversion source. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/conversionsources/get` | `GET /content/v2.1/{merchantId}/conversionsources/{conversionSourceId}` Fetches a conversion source. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/conversionsources/list` | `GET /content/v2.1/{merchantId}/conversionsources` Retrieves the list of conversion sources the caller has access to. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/conversionsources/patch` | `PATCH /content/v2.1/{merchantId}/conversionsources/{conversionSourceId}` Updates information of an existing conversion source. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/conversionsources/undelete` | `POST /content/v2.1/{merchantId}/conversionsources/{conversionSourceId}:undelete` Re-enables an archived conversion source. |

## [v2.1.csses](https://developers.google.com/shopping-content/reference/rest/v2.1/csses)

| Methods ||
|---|---|
| `https://developers.google.com/shopping-content/reference/rest/v2.1/csses/get` | `GET /content/v2.1/{cssGroupId}/csses/{cssDomainId}` Retrieves a single CSS domain by ID. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/csses/list` | `GET /content/v2.1/{cssGroupId}/csses` Lists CSS domains affiliated with a CSS group. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/csses/updatelabels` | `POST /content/v2.1/{cssGroupId}/csses/{cssDomainId}/updatelabels` Updates labels that are assigned to a CSS domain by its CSS group. |

## [v2.1.datafeeds](https://developers.google.com/shopping-content/reference/rest/v2.1/datafeeds)

| Methods ||
|---|---|
| `https://developers.google.com/shopping-content/reference/rest/v2.1/datafeeds/custombatch` | `POST /content/v2.1/datafeeds/batch` Deletes, fetches, gets, inserts and updates multiple datafeeds in a single request. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/datafeeds/delete` | `DELETE /content/v2.1/{merchantId}/datafeeds/{datafeedId}` Deletes a datafeed configuration from your Merchant Center account. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/datafeeds/fetchnow` | `POST /content/v2.1/{merchantId}/datafeeds/{datafeedId}/fetchNow` Invokes a fetch for the datafeed in your Merchant Center account. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/datafeeds/get` | `GET /content/v2.1/{merchantId}/datafeeds/{datafeedId}` Retrieves a datafeed configuration from your Merchant Center account. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/datafeeds/insert` | `POST /content/v2.1/{merchantId}/datafeeds` Registers a datafeed configuration with your Merchant Center account. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/datafeeds/list` | `GET /content/v2.1/{merchantId}/datafeeds` Lists the configurations for datafeeds in your Merchant Center account. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/datafeeds/update` | `PUT /content/v2.1/{merchantId}/datafeeds/{datafeedId}` Updates a datafeed configuration of your Merchant Center account. |

## [v2.1.datafeedstatuses](https://developers.google.com/shopping-content/reference/rest/v2.1/datafeedstatuses)

| Methods ||
|---|---|
| `https://developers.google.com/shopping-content/reference/rest/v2.1/datafeedstatuses/custombatch` | `POST /content/v2.1/datafeedstatuses/batch` Gets multiple Merchant Center datafeed statuses in a single request. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/datafeedstatuses/get` | `GET /content/v2.1/{merchantId}/datafeedstatuses/{datafeedId}` Retrieves the status of a datafeed from your Merchant Center account. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/datafeedstatuses/list` | `GET /content/v2.1/{merchantId}/datafeedstatuses` Lists the statuses of the datafeeds in your Merchant Center account. |

## [v2.1.freelistingsprogram](https://developers.google.com/shopping-content/reference/rest/v2.1/freelistingsprogram)

| Methods ||
|---|---|
| `https://developers.google.com/shopping-content/reference/rest/v2.1/freelistingsprogram/get` | `GET /content/v2.1/{merchantId}/freelistingsprogram` Retrieves the status and review eligibility for the free listing program. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/freelistingsprogram/requestreview` | `POST /content/v2.1/{merchantId}/freelistingsprogram/requestreview` Requests a review of free listings in a specific region. |

## [v2.1.freelistingsprogram.checkoutsettings](https://developers.google.com/shopping-content/reference/rest/v2.1/freelistingsprogram.checkoutsettings)

| Methods ||
|---|---|
| `https://developers.google.com/shopping-content/reference/rest/v2.1/freelistingsprogram.checkoutsettings/delete` | `DELETE /content/v2.1/{merchantId}/freelistingsprogram/checkoutsettings` Deletes `Checkout` settings and unenrolls merchant from `Checkout` program. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/freelistingsprogram.checkoutsettings/get` | `GET /content/v2.1/{merchantId}/freelistingsprogram/checkoutsettings` Gets Checkout settings for the given merchant. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/freelistingsprogram.checkoutsettings/insert` | `POST /content/v2.1/{merchantId}/freelistingsprogram/checkoutsettings` Enrolls merchant in `Checkout` program. |

## [v2.1.liasettings](https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings)

| Methods ||
|---|---|
| `https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings/custombatch` | `POST /content/v2.1/liasettings/batch` Retrieves and/or updates the LIA settings of multiple accounts in a single request. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings/get` | `GET /content/v2.1/{merchantId}/liasettings/{accountId}` Retrieves the LIA settings of the account. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings/getaccessiblegmbaccounts` | `GET /content/v2.1/{merchantId}/liasettings/{accountId}/accessiblegmbaccounts` Retrieves the list of accessible Business Profiles. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings/list` | `GET /content/v2.1/{merchantId}/liasettings` Lists the LIA settings of the sub-accounts in your Merchant Center account. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings/listposdataproviders` | `GET /content/v2.1/liasettings/posdataproviders` Retrieves the list of POS data providers that have active settings for the all eiligible countries. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings/requestgmbaccess` | `POST /content/v2.1/{merchantId}/liasettings/{accountId}/requestgmbaccess` Requests access to a specified Business Profile. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings/requestinventoryverification` | `POST /content/v2.1/{merchantId}/liasettings/{accountId}/requestinventoryverification/{country}` Requests inventory validation for the specified country. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings/setinventoryverificationcontact` | `POST /content/v2.1/{merchantId}/liasettings/{accountId}/setinventoryverificationcontact` Sets the inventory verification contact for the specified country. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings/setomnichannelexperience` | `POST /content/v2.1/{merchantId}/liasettings/{accountId}/setomnichannelexperience` Sets the omnichannel experience for the specified country. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings/setposdataprovider` | `POST /content/v2.1/{merchantId}/liasettings/{accountId}/setposdataprovider` Sets the POS data provider for the specified country. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings/update` | `PUT /content/v2.1/{merchantId}/liasettings/{accountId}` Updates the LIA settings of the account. |

## [v2.1.localinventory](https://developers.google.com/shopping-content/reference/rest/v2.1/localinventory)

| Methods ||
|---|---|
| `https://developers.google.com/shopping-content/reference/rest/v2.1/localinventory/custombatch` | `POST /content/v2.1/localinventory/batch` Updates local inventory for multiple products or stores in a single request. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/localinventory/insert` | `POST /content/v2.1/{merchantId}/products/{productId}/localinventory` Updates the local inventory of a product in your Merchant Center account. |

## [v2.1.merchantsupport](https://developers.google.com/shopping-content/reference/rest/v2.1/merchantsupport)

| Methods ||
|---|---|
| `https://developers.google.com/shopping-content/reference/rest/v2.1/merchantsupport/renderaccountissues` | `POST /content/v2.1/{merchantId}/merchantsupport/renderaccountissues` Provide a list of merchant's issues with a support content and available actions. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/merchantsupport/renderproductissues` | `POST /content/v2.1/{merchantId}/merchantsupport/renderproductissues/{productId}` Provide a list of issues for merchant's product with a support content and available actions. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/merchantsupport/triggeraction` | `POST /content/v2.1/{merchantId}/merchantsupport/triggeraction` Start an action. |

## [v2.1.ordertrackingsignals](https://developers.google.com/shopping-content/reference/rest/v2.1/ordertrackingsignals)

| Methods ||
|---|---|
| `https://developers.google.com/shopping-content/reference/rest/v2.1/ordertrackingsignals/create` | `POST /content/v2.1/{merchantId}/ordertrackingsignals` Creates new order tracking signal. |

## [v2.1.pos](https://developers.google.com/shopping-content/reference/rest/v2.1/pos)

| Methods ||
|---|---|
| `https://developers.google.com/shopping-content/reference/rest/v2.1/pos/custombatch` | `POST /content/v2.1/pos/batch` Batches multiple POS-related calls in a single request. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/pos/delete` | `DELETE /content/v2.1/{merchantId}/pos/{targetMerchantId}/store/{storeCode}` Deletes a store for the given merchant. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/pos/get` | `GET /content/v2.1/{merchantId}/pos/{targetMerchantId}/store/{storeCode}` Retrieves information about the given store. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/pos/insert` | `POST /content/v2.1/{merchantId}/pos/{targetMerchantId}/store` Creates a store for the given merchant. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/pos/inventory` | `POST /content/v2.1/{merchantId}/pos/{targetMerchantId}/inventory` Submit inventory for the given merchant. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/pos/list` | `GET /content/v2.1/{merchantId}/pos/{targetMerchantId}/store` Lists the stores of the target merchant. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/pos/sale` | `POST /content/v2.1/{merchantId}/pos/{targetMerchantId}/sale` Submit a sale event for the given merchant. |

## [v2.1.productdeliverytime](https://developers.google.com/shopping-content/reference/rest/v2.1/productdeliverytime)

| Methods ||
|---|---|
| `https://developers.google.com/shopping-content/reference/rest/v2.1/productdeliverytime/create` | `POST /content/v2.1/{merchantId}/productdeliverytime` Creates or updates the delivery time of a product. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/productdeliverytime/delete` | `DELETE /content/v2.1/{merchantId}/productdeliverytime/{productId}` Deletes the delivery time of a product. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/productdeliverytime/get` | `GET /content/v2.1/{merchantId}/productdeliverytime/{productId}` Gets `productDeliveryTime` by `productId`. |

## [v2.1.products](https://developers.google.com/shopping-content/reference/rest/v2.1/products)

| Methods ||
|---|---|
| `https://developers.google.com/shopping-content/reference/rest/v2.1/products/custombatch` | `POST /content/v2.1/products/batch` Retrieves, inserts, and deletes multiple products in a single request. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/products/delete` | `DELETE /content/v2.1/{merchantId}/products/{productId}` Deletes a product from your Merchant Center account. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/products/get` | `GET /content/v2.1/{merchantId}/products/{productId}` Retrieves a product from your Merchant Center account. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/products/insert` | `POST /content/v2.1/{merchantId}/products` Uploads a product to your Merchant Center account. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/products/list` | `GET /content/v2.1/{merchantId}/products` Lists the products in your Merchant Center account. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/products/update` | `PATCH /content/v2.1/{merchantId}/products/{productId}` Updates an existing product in your Merchant Center account. |

## [v2.1.productstatuses](https://developers.google.com/shopping-content/reference/rest/v2.1/productstatuses)

| Methods ||
|---|---|
| `https://developers.google.com/shopping-content/reference/rest/v2.1/productstatuses/custombatch` | `POST /content/v2.1/productstatuses/batch` Gets the statuses of multiple products in a single request. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/productstatuses/get` | `GET /content/v2.1/{merchantId}/productstatuses/{productId}` Gets the status of a product from your Merchant Center account. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/productstatuses/list` | `GET /content/v2.1/{merchantId}/productstatuses` Lists the statuses of the products in your Merchant Center account. |

## [v2.1.promotions](https://developers.google.com/shopping-content/reference/rest/v2.1/promotions)

| Methods ||
|---|---|
| `https://developers.google.com/shopping-content/reference/rest/v2.1/promotions/create` | `POST /content/v2.1/{merchantId}/promotions` Inserts a promotion for your Merchant Center account. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/promotions/get` | `GET /content/v2.1/{merchantId}/promotions/{id}` Retrieves a promotion from your Merchant Center account. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/promotions/list` | `GET /content/v2.1/{merchantId}/promotions` List all promotions from your Merchant Center account. |

## [v2.1.pubsubnotificationsettings](https://developers.google.com/shopping-content/reference/rest/v2.1/pubsubnotificationsettings)

| Methods ||
|---|---|
| `https://developers.google.com/shopping-content/reference/rest/v2.1/pubsubnotificationsettings/get` | `GET /content/v2.1/{merchantId}/pubsubnotificationsettings` Retrieves a Merchant Center account's pubsub notification settings. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/pubsubnotificationsettings/update` | `PUT /content/v2.1/{merchantId}/pubsubnotificationsettings` Register a Merchant Center account for pubsub notifications. |

## [v2.1.quotas](https://developers.google.com/shopping-content/reference/rest/v2.1/quotas)

| Methods ||
|---|---|
| `https://developers.google.com/shopping-content/reference/rest/v2.1/quotas/list` | `GET /content/v2.1/{merchantId}/quotas` Lists the daily call quota and usage per method for your Merchant Center account. |

## [v2.1.recommendations](https://developers.google.com/shopping-content/reference/rest/v2.1/recommendations)

| Methods ||
|---|---|
| `https://developers.google.com/shopping-content/reference/rest/v2.1/recommendations/generate` | `GET /content/v2.1/{merchantId}/recommendations/generate` Generates recommendations for a merchant. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/recommendations/reportInteraction` | `POST /content/v2.1/{merchantId}/recommendations/reportInteraction` Reports an interaction on a recommendation for a merchant. |

## [v2.1.regionalinventory](https://developers.google.com/shopping-content/reference/rest/v2.1/regionalinventory)

| Methods ||
|---|---|
| `https://developers.google.com/shopping-content/reference/rest/v2.1/regionalinventory/custombatch` | `POST /content/v2.1/regionalinventory/batch` Updates regional inventory for multiple products or regions in a single request. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/regionalinventory/insert` | `POST /content/v2.1/{merchantId}/products/{productId}/regionalinventory` Updates the regional inventory of a product in your Merchant Center account. |

## [v2.1.regions](https://developers.google.com/shopping-content/reference/rest/v2.1/regions)

| Methods ||
|---|---|
| `https://developers.google.com/shopping-content/reference/rest/v2.1/regions/create` | `POST /content/v2.1/{merchantId}/regions` Creates a region definition in your Merchant Center account. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/regions/delete` | `DELETE /content/v2.1/{merchantId}/regions/{regionId}` Deletes a region definition from your Merchant Center account. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/regions/get` | `GET /content/v2.1/{merchantId}/regions/{regionId}` Retrieves a region defined in your Merchant Center account. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/regions/list` | `GET /content/v2.1/{merchantId}/regions` Lists the regions in your Merchant Center account. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/regions/patch` | `PATCH /content/v2.1/{merchantId}/regions/{regionId}` Updates a region definition in your Merchant Center account. |

## [v2.1.reports](https://developers.google.com/shopping-content/reference/rest/v2.1/reports)

| Methods ||
|---|---|
| `https://developers.google.com/shopping-content/reference/rest/v2.1/reports/search` | `POST /content/v2.1/{merchantId}/reports/search` Retrieves merchant performance metrics matching the search query and optionally segmented by selected dimensions. |

## [v2.1.returnpolicyonline](https://developers.google.com/shopping-content/reference/rest/v2.1/returnpolicyonline)

| Methods ||
|---|---|
| `https://developers.google.com/shopping-content/reference/rest/v2.1/returnpolicyonline/create` | `POST /content/v2.1/{merchantId}/returnpolicyonline` Creates a new return policy. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/returnpolicyonline/delete` | `DELETE /content/v2.1/{merchantId}/returnpolicyonline/{returnPolicyId}` Deletes an existing return policy. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/returnpolicyonline/get` | `GET /content/v2.1/{merchantId}/returnpolicyonline/{returnPolicyId}` Gets an existing return policy. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/returnpolicyonline/list` | `GET /content/v2.1/{merchantId}/returnpolicyonline` Lists all existing return policies. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/returnpolicyonline/patch` | `PATCH /content/v2.1/{merchantId}/returnpolicyonline/{returnPolicyId}` Updates an existing return policy. |

## [v2.1.shippingsettings](https://developers.google.com/shopping-content/reference/rest/v2.1/shippingsettings)

| Methods ||
|---|---|
| `https://developers.google.com/shopping-content/reference/rest/v2.1/shippingsettings/custombatch` | `POST /content/v2.1/shippingsettings/batch` Retrieves and updates the shipping settings of multiple accounts in a single request. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/shippingsettings/get` | `GET /content/v2.1/{merchantId}/shippingsettings/{accountId}` Retrieves the shipping settings of the account. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/shippingsettings/getsupportedcarriers` | `GET /content/v2.1/{merchantId}/supportedCarriers` Retrieves supported carriers and carrier services for an account. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/shippingsettings/getsupportedholidays` | `GET /content/v2.1/{merchantId}/supportedHolidays` Retrieves supported holidays for an account. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/shippingsettings/getsupportedpickupservices` | `GET /content/v2.1/{merchantId}/supportedPickupServices` Retrieves supported pickup services for an account. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/shippingsettings/list` | `GET /content/v2.1/{merchantId}/shippingsettings` Lists the shipping settings of the sub-accounts in your Merchant Center account. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/shippingsettings/update` | `PUT /content/v2.1/{merchantId}/shippingsettings/{accountId}` Updates the shipping settings of the account. |

## [v2.1.shoppingadsprogram](https://developers.google.com/shopping-content/reference/rest/v2.1/shoppingadsprogram)

| Methods ||
|---|---|
| `https://developers.google.com/shopping-content/reference/rest/v2.1/shoppingadsprogram/get` | `GET /content/v2.1/{merchantId}/shoppingadsprogram` Retrieves the status and review eligibility for the Shopping Ads program. |
| `https://developers.google.com/shopping-content/reference/rest/v2.1/shoppingadsprogram/requestreview` | `POST /content/v2.1/{merchantId}/shoppingadsprogram/requestreview` Requests a review of Shopping ads in a specific region. |